import { EventEmitter } from '../../../stencil-public-runtime';
import { StepperSizesType, StepperColorType } from './constants';
import { GovStepperItemChangeEvent } from './gov-stepper-item.d';
export declare class GovStepperItem {
    private h;
    private readonly triggerId;
    private readonly contentId;
    private hydrated;
    constructor();
    readonly host: HTMLGovStepperItemElement;
    /**
     * Style variation of the button.
     */
    readonly color?: StepperColorType;
    /**
     * Size of stepper
     */
    readonly size?: StepperSizesType;
    /**
     * Custom stepper item identifier. Otherwise, it will be generated
     */
    readonly identifier: string;
    /**
     * Called when the accordion state changes
     */
    govChange: EventEmitter<GovStepperItemChangeEvent>;
    validateColor(newValue: string): void;
    componentWillLoad(): void;
    connectedCallback(): void;
    render(): any;
}
